local self_ID  = "W-50A"
declare_plugin(self_ID,
{
displayName		= _("W-50A"),			--Name
developerName= _("W-50A"),				--Developer Name
installed 	 = true,					--Install as True
dirName	  	 = current_mod_path,		--Directory name
version		 = "3.0.1",		 			--Version
state		 = "installed",				--Module status
info		 = _("W-50A"),				--Illustrate

binaries 	 =				--Binary files
	{

	},
InputProfiles =				--Input Configuration File
{
    ["W-50A"] = current_mod_path .. '/Input/W-50A', 
},

Skins	=					--Subject matter
	{
		{
			name	= _("W-50A"),
			dir		= "Theme"
		},
	},
	
Missions =				--Task file
	{
		{
			name		= _("W-50A"),
			dir			= "Missions",
		},
	},		
LogBook =				--Logbook
	{
		{
			name		= _("W-50A"),
			type		= "W-50A",
		},
	},	
mount_vfs_texture_path  (current_mod_path .. "/Skins/1/ME")	--There is a background music logo in this path
})
mount_vfs_sound_path    (current_mod_path.."/Sounds")
----------------------------------------------------------------------------------------old = 4
dofile(current_mod_path..'/W-50A.lua')		--Specify external files
dofile(current_mod_path..'/Views.lua')		--Specify external files
make_view_settings('W-50A', ViewSettings, SnapViews)
make_flyable('W-50A',current_mod_path..'/Cockpit/Scripts/',{nil,old = 4},current_mod_path..'/Comm/comm.lua')


plugin_done()  --Plugin completed